% [a,b,ER1]=ageing1(200,3.,3.0,0.00); % atjaunejimas su  triuksmu ant isejimu
% author Sarunas Raudys Phone 2109-341     e-mail raudys@das.mii.lt
% iter2 - iteraciju kiekis po duomenu pakeitimo
% step - mokymo zingsnis
% nois - triuksmo lygio parametras: jei nois=3, triuksmas nepridedamas, jei noise=0.85, apie 10 mokymo vektoriu kas iteracija atsitiktinai keicia savo klases numeri.
% target - trosktami isejimai (vienai klassei, kitai bus "1-target" ) pirmo ir antro mokymo metu - nuo ju priklauso svoriu augimas
% slpnoise - vienasluoksnio perceptrono mokymo programa, kai uzdedamas triuksmas kiekvienoje iteracijoje.
function [a,b,ER1]=ageing1(iter2,step,nois,target)
N=50;K=[1,0.97;0.97,1];m1=[-0.5,0.5];dd=2;m2=-m1;
TT=[1,0.3;-0.3,1];[T,D,j]=svd(TT);
W=[.4,5,3];load AB
   IT=[0 5 10 15 20 30 40 50 60 70 80 100 120 150 200 250 300 350 400 450 500 600 700 800 900 1000 1500 2000 2500 3000 3500 4000 4500 5000]; k=size(IT,2);

an=a*T+dd;bn=b*T+dd;K1=T'*K*T;mn=m1*T; % duomenu transformavimas
figure(1);clf;plot(a(:,1),a(:,2),'m+',b(:,1),b(:,2),'co',an(:,1),an(:,2),'r.',bn(:,1),bn(:,2),'b.');
for j=1:k-1
      iter1=IT(j+1)-IT(j);
      [W1, msee] = slpnoise(a,b,iter1,step,target,W,K,m1,m2,nois);% perceptrono mokymas pirma karta
      ER1(j)=1-msee(2,iter1);WWW(j)=msee(3,iter1);W=W1;
 [W2, mseN] = slpnoise(an,bn,iter2,step,target,W1,K1,mn+dd,-mn+dd,nois);ER2(j)=1-mseN(2,iter2); % perceptrono mokyma antra karta
end
IT=IT(2:k);
figure(2);clf;plot(IT,ER1,'k-',IT,ER2,'b-')
figure(3);clf;plot(IT,WWW,'r-');%disp([W1,msee(2,iter2)])
return